| canfd Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCanFd Struct Reference
Overview

The XCanFd driver instance data. More...

## Data Fields
XCanFd_Config | CanFdConfig
| Device Configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | MultiBuffTrr
| used in multibuffer send case to update TRR Register More...
u32 | GlobalTrrValue
| used in multibuffer send case to update TRR Register More...
u32 | GlobalTrrMask
| used in multibuffer send case to update TRR Register More...
XCanFd_SendRecvHandler | SendHandler
| Callback for TXOK interrupts. More...
void * | SendRef
| This will be passed to the TXOK interrupt callback. More...
XCanFd_SendRecvHandler | RecvHandler
| Callback for RXOK interrupt. More...
void * | RecvRef
| This will be passed to the RXOK interrupt callback. More...
XCanFd_ErrorHandler | ErrorHandler
| Callback for ERROR interrupt. More...
void * | ErrorRef
| This will be passed to the ERROR interrupt callback. More...
XCanFd_EventHandler | EventHandler
| Callback for RXOFLW/RXUFLW/TXBFLL/TXFLL/Wakeup/Sleep/Bus off/ARBLST interrupts. More...
void * | EventRef
| This will be passed to the EventHandler callback. More...

## Detailed Description

The XCanFd driver instance data.

The user is required to allocate a variable of this type for every CAN device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XCanFd_Config XCanFd::CanFdConfig

Device Configuration.

Referenced by XCanFd_AcceptFilterDisable(), XCanFd_AcceptFilterEnable(), XCanFd_AcceptFilterGet(), XCanFd_AcceptFilterGetEnabled(), XCanFd_AcceptFilterSet(), XCanFd_Addto_Queue(), XCanFd_CfgInitialize(), XCanFd_Disable_Tranceiver_Delay_Compensation(), XCanFd_Enable_Tranceiver_Delay_Compensation(), XCanFd_EnterMode(), XCanFd_GetBaudRatePrescaler(), XCanFd_GetBitTiming(), XCanFd_GetBusErrorCounter(), XCanFd_GetFBaudRatePrescaler(), XCanFd_GetFBitTiming(), XCanFd_GetFreeBuffer(), XCanFd_GetNofMessages_Stored_Rx_Fifo(), XCanFd_GetNofMessages_Stored_TXE_FIFO(), XCanFd_InterruptClear(), XCanFd_InterruptDisable(), XCanFd_InterruptDisable_CancelRqt(), XCanFd_InterruptDisable_ReadyRqt(), XCanFd_InterruptDisable_RxBuffFull(), XCanFd_InterruptEnable(), XCanFd_InterruptEnable_CancelRqt(), XCanFd_InterruptEnable_ReadyRqt(), XCanFd_InterruptEnable_RxBuffFull(), XCanFd_Pee_BusOff_Handler(), XCanFd_Recv_Mailbox(), XCanFd_Recv_Sequential(), XCanFd_Recv_TXEvents_Sequential(), XCanFd_RxBuff_MailBox_Active(), XCanFd_RxBuff_MailBox_DeActive(), XCanFd_Send(), XCanFd_Send_Queue(), XCanFd_Set_MailBox_IdMask(), XCanFd_Set_Tranceiver_Delay_Compensation(), XCanFd_SetBaudRatePrescaler(), XCanFd_SetBitRateSwitch_DisableNominal(), XCanFd_SetBitRateSwitch_EnableNominal(), XCanFd_SetBitTiming(), XCanFd_SetFBaudRatePrescaler(), XCanFd_SetFBitTiming(), XCanFd_SetRxFilterPartition(), XCanFd_SetRxIntrWatermark(), XCanFd_SetRxIntrWatermarkFifo1(), XCanFd_SetTxEventIntrWatermark(), XCanFd_stop(), and XCanFd_TxBuffer_Cancel_Request().

XCanFd_ErrorHandler XCanFd::ErrorHandler

Callback for ERROR interrupt.

Referenced by XCanFd_CfgInitialize(), XCanFd_IntrHandler(), and XCanFd_SetHandler().

void* XCanFd::ErrorRef

This will be passed to the ERROR interrupt callback.

Referenced by XCanFd_IntrHandler(), and XCanFd_SetHandler().

XCanFd_EventHandler XCanFd::EventHandler

Callback for RXOFLW/RXUFLW/TXBFLL/TXFLL/Wakeup/Sleep/Bus off/ARBLST interrupts.

Referenced by XCanFd_CfgInitialize(), XCanFd_IntrHandler(), and XCanFd_SetHandler().

void* XCanFd::EventRef

This will be passed to the EventHandler callback.

Referenced by XCanFd_IntrHandler(), and XCanFd_SetHandler().

u32 XCanFd::GlobalTrrMask

used in multibuffer send case to update TRR Register

Referenced by XCanFd_Addto_Queue(), XCanFd_Send(), and XCanFd_Send_Queue().

u32 XCanFd::GlobalTrrValue

used in multibuffer send case to update TRR Register

Referenced by XCanFd_Addto_Queue(), and XCanFd_Send_Queue().

u32 XCanFd::IsReady

Device is initialized and ready.

Referenced by XCanFd_AcceptFilterDisable(), XCanFd_AcceptFilterEnable(), XCanFd_AcceptFilterGet(), XCanFd_AcceptFilterGetEnabled(), XCanFd_AcceptFilterSet(), XCanFd_Addto_Queue(), XCanFd_CfgInitialize(), XCanFd_Disable_Tranceiver_Delay_Compensation(), XCanFd_Enable_Tranceiver_Delay_Compensation(), XCanFd_EnterMode(), XCanFd_GetBaudRatePrescaler(), XCanFd_GetBitTiming(), XCanFd_GetBusErrorCounter(), XCanFd_GetFBaudRatePrescaler(), XCanFd_GetFBitTiming(), XCanFd_GetFreeBuffer(), XCanFd_GetMode(), XCanFd_GetNofMessages_Stored_Rx_Fifo(), XCanFd_GetNofMessages_Stored_TXE_FIFO(), XCanFd_InterruptClear(), XCanFd_InterruptDisable(), XCanFd_InterruptDisable_CancelRqt(), XCanFd_InterruptDisable_ReadyRqt(), XCanFd_InterruptDisable_RxBuffFull(), XCanFd_InterruptEnable(), XCanFd_InterruptEnable_CancelRqt(), XCanFd_InterruptEnable_ReadyRqt(), XCanFd_InterruptEnable_RxBuffFull(), XCanFd_IntrHandler(), XCanFd_PollQueue_Buffer(), XCanFd_Recv_Mailbox(), XCanFd_Recv_Sequential(), XCanFd_Recv_TXEvents_Sequential(), XCanFd_RxBuff_MailBox_Active(), XCanFd_RxBuff_MailBox_DeActive(), XCanFd_Send(), XCanFd_Send_Queue(), XCanFd_Set_MailBox_IdMask(), XCanFd_Set_Tranceiver_Delay_Compensation(), XCanFd_SetBaudRatePrescaler(), XCanFd_SetBitRateSwitch_DisableNominal(), XCanFd_SetBitRateSwitch_EnableNominal(), XCanFd_SetBitTiming(), XCanFd_SetFBaudRatePrescaler(), XCanFd_SetFBitTiming(), XCanFd_SetHandler(), XCanFd_SetRxFilterPartition(), XCanFd_SetRxIntrWatermark(), XCanFd_SetRxIntrWatermarkFifo1(), XCanFd_SetTxEventIntrWatermark(), and XCanFd_TxBuffer_Cancel_Request().

u32 XCanFd::MultiBuffTrr

used in multibuffer send case to update TRR Register

Referenced by XCanFd_Addto_Queue(), XCanFd_PollQueue_Buffer(), and XCanFd_Send_Queue().

XCanFd_SendRecvHandler XCanFd::RecvHandler

Callback for RXOK interrupt.

Referenced by XCanFd_CfgInitialize(), XCanFd_IntrHandler(), and XCanFd_SetHandler().

void* XCanFd::RecvRef

This will be passed to the RXOK interrupt callback.

Referenced by XCanFd_IntrHandler(), and XCanFd_SetHandler().

XCanFd_SendRecvHandler XCanFd::SendHandler

Callback for TXOK interrupts.

Referenced by XCanFd_CfgInitialize(), XCanFd_IntrHandler(), and XCanFd_SetHandler().

void* XCanFd::SendRef

This will be passed to the TXOK interrupt callback.

Referenced by XCanFd_IntrHandler(), and XCanFd_SetHandler().